// =====================================================================
//  $Id: St00OfflineDarkAverageMap.hh,v 1.3 2003/10/06 16:28:17 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: St00OfflineDarkAverageMap.hh,v $
//  Revision 1.3  2003/10/06 16:28:17  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:15:52  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#ifndef __ST0001OFFLINEDARKAVERAGEMAP_HH
#define __ST0001OFFLINEDARKAVERAGEMAP_HH

#include "Tglobals.h"
#include "St00Map.hh"

class St00OfflineDarkAverageMap
  : public St00Map
{

  private:
    TDataMultiplicity theCounterMap;
    Tint theNumberOfFrames;

  public:
    St00OfflineDarkAverageMap( const Tstring& filename );
    ~St00OfflineDarkAverageMap();

  public:
    Tvoid FillMap( Tshort* data, Tint ndata );
    const TDataMultiplicity& GetCounterMap() const;
    TDataMultiplicity& GetCounterMap();
    Tint GetNumberOfFrames() const;

};

inline const TDataMultiplicity& St00OfflineDarkAverageMap::GetCounterMap() const
{
  return theCounterMap;
}

inline TDataMultiplicity& St00OfflineDarkAverageMap::GetCounterMap()
{
  return theCounterMap;
}

inline Tint St00OfflineDarkAverageMap::GetNumberOfFrames() const
{
  return theNumberOfFrames;
}

#endif
